<?php
/**
 * Main class file for initializing this plugin.
 *
 * @package wishful-ad-manager
 */

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Wishful_Ad_Manager' ) ) {

	/**
	 * Main class for plugin.
	 */
	class Wishful_Ad_Manager {

		/**
		 * Init class.
		 */
		public static function init() {
			self::includes();
			add_action( 'admin_enqueue_scripts', array( __CLASS__, 'admin_assets' ) );
		}

		/**
		 * Enqueues admin side assets.
		 */
		public static function admin_assets() {
			$root_url = WISHFUL_AD_MANAGER_ROOT_URL;
			wp_register_script( 'wishful-ad-manager-admin-script', "{$root_url}assets/js/admin.js", array( 'jquery' ), '1.0.0', true );
			wp_enqueue_script( 'wishful-ad-manager-admin-script' );
		}

		/**
		 * Include all the files.
		 */
		public static function includes() {
			$root_dir = WISHFUL_AD_MANAGER_ROOT;

			$files_path = array(
				'inc/helpers.php',
				'inc/admin/register-custom-post-types.php',
				'inc/admin/register-metaboxes.php',

				// Tabs.
				'inc/admin/tab-callbacks.php',

				'inc/classes/class-wishful-ad-manager-save-posts.php',
				'inc/classes/class-wishful-ad-manager-dynamic-css.php',
				'inc/classes/class-wishful-ad-manager-widget.php',
				'inc/classes/class-wishful-ad-manager-shortcodes.php',
			);

			foreach ( $files_path as $file ) {
				require_once $root_dir . $file;
			}

		}
	}
}
